# new Compooper

## Installation

```bash
./install.sh
```

The above script does the following:
1. Symlinks dotfiles to the home directory `~/`
2. Sets macOS defaults like Dark mode, pink highlight colours and natural scrolling
3. Installs Homebrew, a few packages and Applications
4. Installs Oh My Zsh
5. Installs Volta

## Post installation

- Set `gitconfig_work` to your work email address
- Set up `.ssh/config` to use 1Password SSH Keys
- Provide `authToken` for work npm registry in `.npmrc`
- Move everything in `.zshrc.pre-oh-my-zsh` to `.zshrc`

- Login into VS Code to sync extensions
- Login into 1Password to sync vaults
- Login to 1Password CLI to sync SSH keys

## Programs requiring manual installation
- Session
